#ifndef ULMBLAS_LEVEL1_H
#define ULMBLAS_LEVEL1_H 1

//
// BLAS Level 1
//

double
ddot(int n, const double *x, int incX, const double *y, int incY);

void
daxpy(int n, double alpha, const double *x, int incX, double *y, int incY);

void
dscal(int n, double alpha, double *x, int incX);

void
dcopy(int n, const double *x, int incX, double *y, int incY);

void
dswap(int n, double *x, int incX, double *y, int incY);

double
damax(int n, const double *x, int incX);

//
//  BLAS Level 1 extensions
//

void
dgecopy(int m, int n,
        const double *X, int incRowX, int incColX,
        double *Y, int incRowY, int incColY);

void
dgescal(int m, int n, double alpha,
        double *X, int incRowX, int incColX);

void
dgeaxpy(int m, int n, double alpha,
        const double *X, int incRowX, int incColX,
        double *Y, int incRowY, int incColY);

double
dgenrm1(int m, int n, const double *A, int incRowA, int incColA);

double
dtrnrm1(int m, int n,  int unitDiag, int lower,
        const double *A, int incRowA, int incColA);

#endif // ULMBLAS_LEVEL1_H
